from kivy.app import App
from kivy.uix.widget import Widget
from kivy.uix.boxlayout import BoxLayout
from kivy.config import Config

from cross import Cross,Cross_painter
from status_bar import Status_bar
from command_box import Command_box

# App class
class Jam_app(App):
    # name of .kv file for main interface
    kv_file="jam.kv"

    def build(self):
        layout=BoxLayout(orientation="vertical")
        painter=Cross_painter()
        status=Status_bar()
        command=Command_box()
        layout.add_widget(painter)
        layout.add_widget(status)
        layout.add_widget(command)
        return layout



# disable red circles on right click
Config.set('input', 'mouse', 'mouse,disable_multitouch')

# run
if __name__ == '__main__':
    Jam_app().run()
